/* 
 * File:   execute.c
 * Author: Arthur Brandao
 *
 * Created on 9 novembre 2018
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "error.h"
#include "execute.h"

/* --- Fonctions publiques --- */
boolean is_executable_file(const char * cmd) {
    int result;
    result = access(cmd, X_OK);
    if(result == ERR){
        return false;
    }
    return true;
}